n=int(input())
stu=[]
for i in range(n):
    sup=int(input())
    stu.append(sup)
for x in range(0,len(stu)-1):
    for y in range(0,x):
        if stu[x]>stu[x+1]:
            stu[x]=stu[x+1]
            stu[x+1]=stu[x]
for j in range(len(stu)):
    print(stu[j])